package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class TempletLine extends JceStruct {
    static TempletItem cache_item = new TempletItem();
    public String groupId = "";
    public long increaseId = 0;
    public TempletItem item = null;
    public String lineId = "";
    

    public TempletLine() {
        super();
        this.lineId = "";
        this.groupId = "";
        this.item = null;
        this.increaseId = 0;
    }


    public TempletLine(String str, String str2, TempletItem templetItem, long j) {
        this.lineId = str;
        this.groupId = str2;
        this.item = templetItem;
        this.increaseId = j;
    }

    public final void writeTo(d dVar) {
        dVar.a(this.lineId, 0);
        dVar.a(this.groupId, 1);
        dVar.a(this.item, 2);
        dVar.a(this.increaseId, 3);
    }

    public final void readFrom(c cVar) {
        this.lineId = cVar.b(0, true);
        this.groupId = cVar.b(1, true);
        this.item = (TempletItem) cVar.a(cache_item, 2, true);
        this.increaseId = cVar.a(this.increaseId, 3, false);
    }

}
